static const char *RcsId = "$Id $";
//+=============================================================================
//
// file :         KChannelSwitchStateMachine.cpp
//
// description :  C++ source for the KChannelSwitch and its alowed 
//                methods for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: xavela $
//
// $Revision: 1.2 $
// $Date: 2012-05-15 10:06:44 $
//
// SVN only:
// $HeadURL: $
//
// CVS only:
// $Source: /users/chaize/newsvn/cvsroot/Instrumentation/KChannelSwitch/src/KChannelSwitchStateMachine.cpp,v $
// $Log: not supported by cvs2svn $
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <KChannelSwitch.h>
#include <KChannelSwitchClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace KChannelSwitch_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		KChannelSwitch::is_inputChannelNumber_allowed
// 
// description : 	Read/Write allowed for inputChannelNumber attribute.
//
//-----------------------------------------------------------------------------
bool KChannelSwitch::is_inputChannelNumber_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		KChannelSwitch::is_CloseAllChannels_allowed
// 
// description : 	Execution allowed for CloseAllChannels command.
//
//-----------------------------------------------------------------------------
bool KChannelSwitch::is_CloseAllChannels_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		KChannelSwitch::is_OpenAllChannels_allowed
// 
// description : 	Execution allowed for OpenAllChannels command.
//
//-----------------------------------------------------------------------------
bool KChannelSwitch::is_OpenAllChannels_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace KChannelSwitch_ns
